Name:		lm_sensors
Version:	2.7.0
Release:	1.3.0
Source0:	http://secure.netroedge.com/~lm78/archive/lm_sensors-%{version}.tar.gz
Patch0:		lm_sensors-2.7.0-engarde-gd-1.diff
Patch1:		lm_sensors-2.5.5-glibc22.patch
Patch2:		lm_sensors-2.5.5-csb5.patch
Summary:	Hardware monitoring tools.
Group:		Applications/System
Copyright:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch:	%{ix86}

%description
The lm_sensors package includes a collection of modules for general SMBus
access and hardware monitoring.  NOTE: this requires special support which
is not in standard 2.2-vintage kernels.

%package devel
Summary:	Development files for programs which will use lm_sensors.
Group:		Development/System
Requires:	lm_sensors = %{version}

%description devel
The lm_sensors-devel package includes a header files and libraries for use
when building applications that make use of sensor data.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  mkdir -p kernel/include/linux/
  ln -s /usr/src/linux/include/linux/i2c* kernel/include/linux/
  #make LINUX_HEADERS=/usr/include LINUX=/usr/src/linux-2.4
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{makeinstall}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
  %defattr(-,root,root)
  %doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING doc/* README
  %config %{_sysconfdir}/sensors.conf
  %{_bindir}/sensors
  %{_libdir}/*.so.*
  %{_mandir}/man*/*
  %{_sbindir}/sensors-detect

%files devel
  %defattr(-,root,root)
  %{_includedir}/sensors
  %{_libdir}/lib*.a
  %{_libdir}/lib*.so

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 27 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.0, Release 1.5.1
  - Upgrade to 2.7.0 to bring in line with version in kernel.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed Feb 20 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.2, Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).  OPTIONAL package as of now.
